Create a "deposit" transactionCopy Pagepost https://api.valha.xyz/v0/{chain}/pools/{pool_address}/depositBETA FEATURE - Please contact team to be whitelisted. Create transaction objects to interact with an EVM blockchain for a specified user.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamschainstringenumrequiredDefaults to ethereumThe blockchain that will be used for this request.ethereumethereum-goerlipolygonbscoptimismarbitrumavalancheceloarbitrum-testnetbsc-testnetShow 10 enum valuespool_addressstringrequiredDefaults to 0xdf0770df86a8034b3efef0a1bb3c889b8332ff56The address of the pool that will be used for this request.Body ParamsTo create deposit interaction objects, the body of the request depends on the type of pool that you are trying to interact with. If pool type is not identified as AMM Pool in "Retrieve pools from a protocol route" then you should enter as parameters: user amount If pool type is identified as AMM Pool in "Retrieve pools from a protocol route" then you should enter as parameters: user tokens (addresses of the underlying tokens) amounts_desired (underlying tokens amounts that you want to deposit in) amounts_minimum (underlying tokens minimum amounts that you want to deposit in) Be careful in the latter case, the orders inside the array has an impact on which amounts are assigned to each tokens. (Ex.: {tokens: [token_a, token_b], amounts_desired: [amount_desired_token_a, amount_desired_token_b], amounts_minimum: [amount_minimum_token_a, amount_minimum_token_b]}) BETA FEATURE - You can execute crosschain action by specifying the bridge object as parameter. Be careful, it is still a beta feature that may return an error if no route is found to bridge the asset.userstringrequiredDefaults to 0x45E954acf1Efc374478dF69B45f12AEFD8AE51a3amountnumberDefaults to 20tokensarray of stringsPlease specify the addresses of the underlying tokens in the same order as the amounts.tokensADD stringamounts_desiredarray of numbersamounts_desiredADD numberamounts_minimumarray of numbersamounts_minimumADD numberdisable_checkbooleanDefaults to trueIf selected to true, the API will not check if the provided user's address has enought token to perform the action.truefalsemaximum_approvalbooleanDefaults to falseIf selected to true, the API will put the maximum amount for the approval action.truefalseestimate_gasbooleanDefaults to falseBETA FEATURE (only Ethereum, Polygon and Arbitrum chains for now) - If selected to true, the API will return the gas limit necessary for the action.truefalsebridgeobjectBETA FEATURE - If you want to do a crosschain deposit, you must specify the information from the origin chain, token and the amount to be received.bridge objectget_quotebooleanDefaults to falseBETA FEATURE - If selected to true, the API will return the estimation of token you will receive with this action in a specific "estimate" object. Be careful, this option changes the return type of the API to have two objects: "estimate" and "transactions".truefalseestimate_returnbooleanDefaults to falseBETA FEATURE - If selected to true, the API will return the estimation of rewards you will receive with this action in a specific "estimate" object and the gas cost of the action (from approval to the action). Be careful, this option changes the return type of the API to have two objects: "estimate" and "transactions".truefalserangesarray of stringsNecessary only if you want to specify the range in which you deposit (ex.: Uniswap v3, Atlendis, etc)rangesADD stringrange_idstringIt can be an address or an id number.referralstringPlease specify the address, the string or the referral number you want to specify into the action. This referral code will be provided to the protocol for the action.fee_recipientstringThe address that should receive affiliate fees specified in the fee parameters.feenumberThe percentage (denoted as a decimal between 0 - 1.0 where 1.0 represents 100% and 0.01 represents 1%) of the amount that should be attributed to fee_recipient as affiliate fees. Responses 200approveTx might be null if there is no need for an approval. 400Updated over 2 years ago Did this page help you?YesNo